﻿<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>События мыши</title>

    <script>


        window.addEventListener("DOMContentLoaded", function () {
            const p = document.getElementsByTagName("p")[0];

            // курсор вошел в пределы элемента.
            p.onmouseover = function (e) {
                this.style.backgroundColor = "green";
                document.body.append(`X:${e.clientX} / Y:${e.clientY}`)
                
            }

            // курсор вышел за пределы элемента.
            p.onmouseout = function () {
                this.style.backgroundColor = "yellow";
            }
           
        })
     

    </script>

    <style>
        p {
            background-color:red;
            width:100px;
            height:100px;
        }
    </style>
</head>
<body>
    <p></p>
    <input id="color" type="color">
</body>
</html>
